For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contact Enrichment API

Enrich collected employee data with publicly available business contact information using the Contact Enrichment API and employee IDs. Combined with our regularly refreshed employee data, the API provides up-to-date business contacts.

Contact Enrichment API endpoint

Endpoint
Input
Output

GET https://api.coresignal.c om/enrichment/contacts

Employee ID

Business email address

Enrich contact data

Use employee IDs to enrich the data. Query Parameters: member_id={employee ID}.

Sample response

Data dictionary

Data field
Description
Data type
Possible values

code

Returned response code

Integer

0,1,2

message

Indication if contact was found

String

FOUND, NOT_FOUND

data

Data values if it was found

Struct

null or fields below

data.email_status

Listed email status

String

verified, catch_all

data.email

Email address connected to the submitted employee ID

String

john.doe@examplec ompany.com

data.email_confid ence

Confidence score assigned to the email address

Integer

100

Available code values

Code
Description

0

Request is successful, data returned

1

member_id is not available in our database

2

Information is not accessible due to privacy regulations (EEA and UK employees)

Limitations

Due to privacy regulations, records identified as relating to individuals in the European Economic Area (EEA) or the United Kingdom (UK) are excluded from this enrichment endpoint. In these cases, you will see the following response:

Last updated

Was this helpful?